flibrary Mods <build_dir="$XP_PATH<1>/lbl_proj/c_src_files", process="user"> {

	group readHDF4Params <NEportLevels={1,1}>{
		string filename <NEportLevels={2,2}>;
		int field_number<NEportLevels={2,2}>;
		int data_layout<NEportLevels={2,2}> = 1;
		boolean debug<NEportLevels={2,2}> = 0;
	};

	module readHDF4<process="user",build_dir="$XP_PATH<1>/lbl_proj/c_src_files",
		src_file="readHDF4.c", hdr_dirs="/usr/local/pkg/usg/hdf/4.1r5/include", 
		link_files="../../lib/sg6/libsds.a -L/usr/local/pkg/usg/hdf/4.1r5/lib -lmfhdf -ldf -ljpeg -lz", 
		c_hdr_files ="sds.h">{

			readHDF4Params &readHDF4Params<NEportLevels={2,1}>; 
			
			string filename<NEportLevels={2,0},export=2> => <-.readHDF4Params.filename;
			int field_number<export=2,NEportLevels={2,0}> => <-.readHDF4Params.field_number;
			int data_layout<export=2,NEportLevels={2,0}> => <-.readHDF4Params.data_layout;
			boolean debug<export=2,NEportLevels={2,0}> => <-.readHDF4Params.debug;
			
			int max_field<export=2,NEportLevels={2,0}>;
			Field_Unif output<export=2,NEportLevels={0,2}>;

			omethod+req readHDF4(
			.filename+read+notify+req,.field_number+read+notify+req,
			.data_layout+read+notify+req,.debug+read+notify,
			.max_field+write,.output+write
			) = "HDF4reader";
	};

};
